Page MenuHomePhabricator

All fundraising python scripts should run on python 3 by 2020
Closed, ResolvedPublic2 Story Points

Description

Python 2.7 is end of life on Jan 1, 2020. By then all of the following should be solidly running on python 3 or be rewritten in another language:

  • Audit downloaders
  • PayPal audit parser (rewrite as SmashPig module?)
  • Silverpop export

Details

Related Gerrit Patches:
wikimedia/fundraising/tools : masterSafeConfigParser -> ConfigParser
wikimedia/fundraising/tools : masterConvert fr tools to python 3
wikimedia/fundraising/tools : masterRename queue module to prepare for python 2->3 conversion

Event Timeline

Ejegg created this task.Jun 20 2018, 3:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 3:08 PM
Vvjjkkii renamed this task from All fundraising python scripts should run on python 3 by 2020 to qkaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from qkaaaaaaaa to All fundraising python scripts should run on python 3 by 2020.Jul 2 2018, 8:50 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 520350 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/tools@master] WIP python3 conversion

https://gerrit.wikimedia.org/r/520350

Change 520457 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/tools@master] Rename queue module to prepare for python 2->3 conversion

https://gerrit.wikimedia.org/r/520457

Change 520669 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/tools@master] SafeConfigParser -> ConfigParser

https://gerrit.wikimedia.org/r/520669

Ejegg claimed this task.Jul 4 2019, 3:40 AM
Ejegg triaged this task as Medium priority.
Ejegg moved this task from FY 2019-20 to Current Sprint on the Fundraising-Backlog board.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Men In Slack board.
Ejegg set the point value for this task to 2.
Ejegg added a comment.Jul 4 2019, 3:43 AM

Turned out not to be so bad with the 2to3 utility. Not everything has been tested yet! Silverpop export and paypal audit parsers do seem to work.
Need to at least test audit downloaders. There's a lot of stuff in there that we haven't used in the last couple of years.

Ejegg added a comment.Jul 5 2019, 7:23 PM

Tested the audit downloader, and it seems to work too.

Change 520457 merged by jenkins-bot:
[wikimedia/fundraising/tools@master] Rename queue module to prepare for python 2->3 conversion

https://gerrit.wikimedia.org/r/520457

Could you add some tips on how to test functionality of some of the core utilities affected please?

Ejegg added a comment.Jul 17 2019, 3:54 PM

Oops, I just realized I haven't smoke-tested the sending to queue parts. I'll try that today!

Xqt added a subscriber: Xqt.Jul 24 2019, 8:37 AM

Change 520350 merged by jenkins-bot:
[wikimedia/fundraising/tools@master] Convert fr tools to python 3

https://gerrit.wikimedia.org/r/520350

Change 520669 merged by jenkins-bot:
[wikimedia/fundraising/tools@master] SafeConfigParser -> ConfigParser

https://gerrit.wikimedia.org/r/520669

Ejegg closed this task as Resolved.Sep 4 2019, 12:41 AM